// Copyright 2022 BWI GmbH
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

export enum BwiFeature {
    DisableVoiceMessages = "BwiFeature.disableVoiceMessages",
    CreateRoomHideDetails = "BwiFeature.createRoomHideDetails",
    HideDebug = "BwiFeature.hideDebug",
    CloseImageViewOnNavigate = "BwiFeature.closeImageViewOnNavigate",
    ExternalPasswordResetUrl = "BwiFeature.externalPasswordResetUrl",
    HideIpAdresses = "BwiFeature.hideIpAdresses",
    HideLowPriorityRoomOption = "BwiFeature.hideLowPriorityRoomOption",
    RestorePassphraseHideDeviceHint = "BwiFeature.restorePassphraseHideDeviceHint",
    SkipUpdateChangesDialog = "BwiFeature.skipUpdateChangesDialog",
    HideRoomHeaderNotifsButton = "BwiFeature.hideRoomHeaderNotifsButton",
    RoomSummaryHideFiles = "BwiFeature.roomSummaryHideFiles",
    HideNerdyUserSettings = "BwiFeature.hideNerdyUserSettings",
    RoomSecuritySettings = "BwiFeature.roomSecuritySettings",
    RoomAutoPublish = "BwiFeature.roomAutoPublish",
    DisableKeyExport = "BwiFeature.disableKeyExport",
    HideDmInviteLink = "BwiFeature.hideDmInviteLink",
    AdminToolsEnabled = "BwiFeature.adminToolsEnabled",
    ShowPersonalNotes = "BwiFeature.showPersonalNotes",
    DisableHistorySharing = "BwiFeature.disableHistorySharing",
    EnforcePassphrase = "BwiFeature.enforcePassphrase",
    ExportChat = "BwiFeature.exportChat",
    Celebration = "BwiFeature.celebration",
    Analytics = "BwiFeature.analytics",
    RegistrationDetails = "BwiFeature.registrationDetails",
    NewFeatures = "BwiFeature.newFeatures",
    SingleParticipantDms = "BwiFeature.singleParticipantDms",
    HideSearchButton = "BwiFeature.hideSearchButton",
    HideRoomAccessSettings = "BwiFeature.hideRoomAccessSettings",
    DisableProfileAvatarDl = "BwiFeature.disableProfileAvatarDl",
    ShowMaintenanceInfo = "BwiFeature.showMaintenanceInfo",
    DisableFeedbackToast = "BwiFeature.disableFeedbackToast",
    HideCrossSigning = "BwiFeature.hideCrossSigning",
    HideKeyImport = "BwiFeature.hideKeyImport",
    PasswordResetHint = "BwiFeature.passwordResetHint",
    DisableCustomPowerlevel = "BwiFeature.disableCustomPowerlevel",
    DisablePoll = "BwiFeature.disablePoll",
    HideUserId = "BwiFeature.hideUserId",
    UserFunctionLabels = "BwiFeature.userFunctionLabels",
    DisableLoginServerLookup = "BwiFeature.disableLoginServerLookup",
    DisableUndisclosedPolls = "BwiFeature.disableUndisclosedPolls",
    HideSpaces = "BwiFeature.hideSpaces",
    ComposerTransformLonoSnippetToUrl = "BwiFeature.composerTransformLonoSnippetToUrl",
    HideLayoutSwitcher = "BwiFeature.hideLayoutSwitcher",
    MandatoryCrossSigning = "BwiFeature.mandatoryCrossSigning",
    WhiteListSlashCommands = "BwiFeature.whiteListSlashCommands",
    LocationShareTypesEnabled = "BwiFeature.locationShareTypesEnabled",
    PreferLocationSharingConfig = "BwiFeature.preferLocationSharingConfig",
    DisableGeolocation = "BwiFeature.disableGeolocation",
    HideOSMLink = "BwiFeature.hideOSMLink",
    DisplayOnBoardingViaAccountDataFlag = "BwiFeature.displayOnBoardingViaAccountDataFlag",
    HideRedactedMessageSharing = "BwiFeature.hideRedactedMessageSharing",
    HideRoomPermissions = "BwiFeature.hideRoomPermissions",
    HideNotificationTargets = "BwiFeature.hideNotificationTargets",
    HideIndividualSounds = "BwiFeature.hideIndividualSounds",
    SelectedLabSettings = "BwiFeature.selectedLabSettings",
    HideThreads = "BwiFeature.hideThreads",
    HideLoginWithQR = "BwiFeature.hideLoginWithQR",
    FloatingDateIndicator = "BwiFeature.floatingDateIndicator",
    FullscreenLocationPicker = "BwiFeature.fullscreenLocationPicker",
    ShowPollParticipants = "BwiFeature.showPollParticipants",
    A11yDeclaration = "BwiFeature.a11yDeclaration",
    SkipPasswordFormValidation = "BwiFeature.skipPasswordFormValidation",
    MandatoryDataPrivacyStatement = "BwiFeature.mandatoryDataPrivacyStatement",
    HuddleCreationForAll = "BwiFeature.huddleCreationForAll",
    BypassBlockingButton = "BwiFeature.bypassBlockingButton",
    SecureBackupSettings = "BwiFeature.secureBackupSettings",
    HideE2EShields = "BwiFeature.hideE2Eshields",
    HideUserVerification = "BwiFeature.hideUserVerification",
    Federation = "BwiFeature.federation",
    HidePermalinkCreation = "BwiFeature.hidePermalinkCreation",
    SkipDownloadForManagedDevices = "BwiFeature.skipDownloadForManagedDevices",
    DataVNumber = "BwiFeature.dataVNumber",
}
